I7(6)

NAME
i7 - Inform 7 programming language (CLI edition)

SYNOPSIS
i7 story.ni
i7 [-8g] story.ni
i7 [-r] story.scr story.z5
i7 [-w] story.key story.z5
i7 [-h]

DESCRIPTION
Inform7 for FreeBSD is a CLI implementation of the Inform 7 programming language and environment by Graham Nelson. Inform is a design system for interactive fiction (IF) based on natural language. Interactive fiction is a literary form which involves programming a computer so that it presents a reader with a text which can be explored. Inform aims to make the burden of learning to program such texts as light as possible. It is a tool for writers intrigued by computing, and computer programmers intrigued by writing. Perhaps these are not so very different pursuits, in their rewards and pleasures: The sheer joy of making things... the fascination of fashioning complex puzzle-like objects of interlocking moving parts and watching them work in subtle cycles... the delight of working in such a tractable medium. The programmer, like the poet, works only slightly removed from pure thought-stuff. He builds his castles in the air, from air, creating by exertion of the imagination. (Frederick P. Brooks, "The Mythical Man-Month", 1972) More resources: http://www.inform7.com http://www.brasslantern.org http://www.ifarchive.org http://en.wikipedia.org/wiki/Interactive_fiction Inform7 for FreeBSD (CLI edition) implements the same basic features of the GUI edition. You can write, compile, debug, and replay your own interactive fiction stories.

OPTIONS
The following command line arguments are supported:

-   create Z-code v5 release.

-8  create Z-code v8 release.

-g  create Glulx release.

-h  show usage.

-r  replay game from a transcript file.

-w  replay game from a walkthrough file.

EXAMPLES
The most basic use of Inform7 for FreeBSD is:
$ i7 story.ni
which compiles your source story file into a Z-code v5 release.
If you have a transcript file from game, you can use the -r option to
replay it in story.z5
$ i7 -r story.scr story.z5
You will receive three files.
story.$$.scr - new transcript file
story.$$.key - walkthrough file
story.$$.sav - save game from a transcript file
You can also construct a simple walkthrough file and then automatically
replay its sequence of commands in your stories.
Example of a story.key
VERBOSE
L
N
W
GET LAMP
SCORE
A walkthrough file can be very short, meant just to test some sequence
of commands within your story, or it can be a full solution walkthrough.
$ i7 -w story.key story.z5
Once again you will receive three files.
story.$$.scr - new transcript file
story.$$.key - walkthrough file
story.$$.sav - save game from a walkthrough file

FILES

/usr/local/share/inform7/Extensions
    Directory where Inform extensions are stored.

SEE ALSO
frotz(6)

AUTHORS
Graham Nelson <graham@gnelson.demon.co.uk> -- Inform programming language and compilers Andy Kosela <akosela@andykosela.com> -- CLI edition for FreeBSD

CONTRIBUTORS
Adam Thornton, Emily Short, David Fisher

THANKS TO
Will Crowther and Don Woods for creating the original Adventure, Infocom for the Z-machine standard and memorable titles like Zork, Graham Nelson for designing this beautiful engine for creating worlds in text, Adam Thornton for many suggestions and help with FreeBSD porting. rec.arts.int-fiction and rec.games.int-fiction community of IF authors and enthusiasts.